@ECHO OFF
SETLOCAL
PUSHD "%~dp0"

CALL bin\tools.bat CheckPermissions
SET rc=%ERRORLEVEL%
IF %rc% NEQ 0 (
	EXIT /B %rc% 
)

CALL bin\tools.bat GetCurrentDate currentDate
CALL bin\tools.bat GetCurrentTimeHHMM currentTime
SET currentTimestamp=%currentDate%%currentTime%
ECHO Starting uninstall.bat script at %currentTimestamp%
	
:: Remove scheduled task, if existing
SCHTASKS /QUERY /TN "IBM ILMT hardware capacity scan" >NUL 2>&1	
SET rc=%ERRORLEVEL%
IF %rc% NEQ 0 (
	ECHO Task was previously not scheduled
	verify>nul
) ELSE (
	ECHO Removing already scheduled task
	SCHTASKS /DELETE /TN "IBM ILMT hardware capacity scan" /F
)	

:: Clear the outputs and installed CIT
RMDIR /S /Q cit output work logs

:: Remove endpoint_ID file
DEL config\endpoint_id.txt

POPD
ENDLOCAL